apply plugin: 'com.android.application'
//apply plugin: 'kotlin-android'
apply plugin: 'org.sonarqube'

sonarqube {
    properties {
        //Sonar服务器地址
        property "sonar.host.url", "*****************************"
        //Token模式
        property "sonar.login","**********************************"
        //账号密码模式
        //property "sonar.login","*******"
        //property "sonar.password","******"
        property "sonar.sourceEncoding", "UTF-8"
        property "sonar.projectKey", "Android_DuoApp"
        property "sonar.projectName", project.name
        //需要扫描的上传检测代码的模块，可以选择也可以配置哪一些需要或者不需要上传的模块(这里指APP模块下面的java包里面的全部)
        property "sonar.sources", "src/main/java"
        property "sonar.projectVersion", project.version
    }
}
android {
    compileSdkVersion 31
    buildToolsVersion "31.0.0"
    useLibrary 'org.apache.http.legacy'
    defaultConfig {
        applicationId "net.micode.notes"
        minSdkVersion 14
        targetSdkVersion 31
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
        }
    }
}
repositories {
    mavenCentral()
}
dependencies {
//    implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
}
buildscript {
    repositories {
        maven {
            url "https://plugins.gradle.org/m2/"
        }
        google()
        //mavenCentral()
        jcenter()

    }
    dependencies {
        classpath 'com.android.tools.build:gradle:4.0.1'
        classpath "org.sonarsource.scanner.gradle:sonarqube-gradle-plugin:2.7"
    }
}
apply plugin: "org.sonarqube"
allprojects {
    repositories {
        google()
        //mavenCentral()
        jcenter()
    }
}
apply plugin: 'org.sonarqube'

